package ScreenChanger::CMS;

use strict;

sub dashboard {
    my ($cb, $app, $template) = @_;

    my $q = $app->param;
    return unless $q->param('username') && $q->param('password');

    my $author = $app->user;
    my $perms = MT::Permission->load({ author_id => $author->id });

    my $blog_id = undef;
    my $type;
    for my $permission ($perms) {
        $blog_id = $permission->blog_id;
        if ($perms->can_do('create_post')) {
            $type = 'entry';
            last;
        }
    }
    return unless defined $blog_id; # no permission
    return unless $type;

    my $args = { '_type' => $type };
    $args->{'blog_id'} = $blog_id;
    my $url = $app->uri( mode => 'list', args => $args );
    $app->redirect($url);
}

1;
